
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the FlyCAMm1_AV_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// FlyCAMm1_AV_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.

#define Flash_300cm 0
#define Flash_150cm 1
#define Flash_100cm 2
#define Flash_50cm  3


BOOL Initial_FLY_AV(void);
VOID Deinitial_FLY_AV(void);
BOOL Capture_A_Frame(LPBYTE pretBuff, DWORD *pdSize);
BOOL CaptureFormat(INT iWidth,INT iHeight,INT iType);
BOOL SetTVStandard(DWORD *pdTVStandard);
void SetSensorMode(UCHAR *iMode);
void SetFlickerCancel(UCHAR *iMode);
BOOL SnapshotFlag(void);

BOOL StartPreview(INT iWidth,INT iHeight,INT iType,INT iInputType);
BOOL StopPreview(void);
BOOL PreviewFrame(LPBYTE pretBuff);
BOOL PreviewLFrame(LPBYTE pretBuff);
BOOL InputSelect(UCHAR pdInputSelect);		// 1 = AV Input, 2 = S-Video Input

void Brightness(UCHAR *uValue,UCHAR iMode);			// Brightness: 0 ~ 255, iMode =1 Set Value, =2 Get Value
void Contrast(INT8 *iValue,UCHAR iMode);			// Contrast	 : 0 ~ 127
void Saturation(INT8 *iValue,UCHAR iMode);			// Saturation: 0 ~ 127
void Hue(INT8 *iValue,UCHAR iMode);			// Hue		 : -128 ~ 127

void ColorRWeight(UCHAR *uValue,UCHAR iMode);			// ColorRweight: 0 ~ 255, iMode =1 Set Value, =2 Get Value
void ColorGWeight(UCHAR *uValue,UCHAR iMode);			// ColorGweight: 0 ~ 255, iMode =1 Set Value, =2 Get Value
void ColorBWeight(UCHAR *uValue,UCHAR iMode);			// ColorBweight: 0 ~ 255, iMode =1 Set Value, =2 Get Value

BOOL CheckFlyJacketPack(void);
LPCTSTR DriverVersion(void);
void PLDVersion(LPTSTR StrPLDVer);


void SetReg(BYTE bReg, BYTE bData,WORD dSlaveAddress);
BYTE GetReg(BYTE bReg,WORD dSlaveAddress);

BOOL PreviewTVFrame(LPBYTE pretBuff);
void SetClockRate(UCHAR *iRate);
void SetExposure(UCHAR *uHighLimit,UCHAR *uLowLimit,UCHAR iMode);
void SetImageVideoMode(UCHAR *iMode);
void SetSharpenProcess(UCHAR *uValue,UCHAR iMode);
void SetLuminosity(UCHAR *uValue);
void SetEnvironmentMode(UCHAR *uValue,PEnvMo_INFO pGetEnvData);

void SetFlashEnable(UCHAR uValue);
void GetFlashState(UCHAR *uValue);

void SetTakePhotoDistance(int Distance);
void SetMoonlightMode(BOOL iMode);
BOOL HaveFlashFunction(void);