#ifndef COMPCAM_H
#define COMPCAM_H

#ifdef COMPCAM_EXPORTS
#define COMPCAM_API __declspec(dllexport)
#else
#define COMPCAM_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

// ------------------------------------------------
// DEFINES
// ------------------------------------------------

// CompCamGetType()
#define CAMTYPE_VGA		0x000033CFL
#define CAMTYPE_SXGA	0x000130CFL
#define CAMTYPE_UNKNOWN 0xFFFFFFFFL
	
// CompCamSetResolution() & CompCamGetResolution()
#define RESOLUTION_160x120		0x0000
#define RESOLUTION_320x240		0x0001
#define RESOLUTION_640x480		0x0002
#define RESOLUTION_1280x1024	0x0003

// CompCamSetMode()
#define MODE_VGA	0x0000
#define MODE_SXGA	0x0001

// CompCamSetFlickerless()
#define ANTIFLICKER_60HZ 0x0000
#define ANTIFLICKER_50HZ 0x0001


// ------------------------------------------------
// FUNCTIONS
// ------------------------------------------------
	
COMPCAM_API HANDLE CompCamOpen();
COMPCAM_API BOOL CompCamClose(HANDLE hCamera);

COMPCAM_API BOOL CompCamGetType(HANDLE hCamera,PDWORD pCamType);

COMPCAM_API BOOL CompCamSetLED(HANDLE hCamera,BOOL bRedLED,BOOL bGreenLED);
COMPCAM_API BOOL CompCamGetLED(HANDLE hCamera,PBOOL pbRedLED,PBOOL pbGreenLED);

COMPCAM_API BOOL CompCamGetShutterButton(HANDLE hCamera);
COMPCAM_API BOOL CompCamGetSwivelPos(HANDLE hCamera);

COMPCAM_API BOOL CompCamSetResolution(HANDLE hCamera,WORD wResolution);
COMPCAM_API BOOL CompCamGetResolution(HANDLE hCamera,PWORD pwResolution);

COMPCAM_API BOOL CompCamSetMode(HANDLE hCamera,WORD wMode);
COMPCAM_API BOOL CompCamSetAntiFlicker(HANDLE hCamera,WORD wAntiFlicker);

COMPCAM_API BOOL CompCamGetFrame(HANDLE hCamera,PBYTE pFrame);
COMPCAM_API BOOL CompCamGetFrameMem(HANDLE hCamera,PBYTE pFrame);
COMPCAM_API BOOL CompCamSaveFrameAsJPG(HANDLE hCamera,WCHAR *szFilename,int nQuality,BOOL bColor);
COMPCAM_API BOOL CompCamSaveFrameAsBMP(HANDLE hCamera,WCHAR *szFilename,BOOL bColor);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // COMPCAM_H